NET vNext bruker bare en dll fra refererte pakke

stemmer
5

Jeg legger en avhengighet ( mongocsharpdriver) til net45avhengigheter delen som dette:

    net45: {
        dependencies: {
            System.Data: ,
            System.ComponentModel.DataAnnotations: ,
            mongocsharpdriver: 1.9.1
        }
    },

Basert på alle andre avhengigheter som jeg har brukt, bør dette være nok til å gjøre det arbeidet. Her er noen eksempelkode jeg kastet i å teste det:

MongoDB.Bson.BsonArray test;
MongoDB.Driver.RemoveFlags test2;

Med dette på plass, vil jeg forvente at du kompilerer, men MongoDB.Driverblir ikke gjenkjent. MongoDB.Bson.BsonArrayfungerer fint.

Er å ha to samlinger i samme pakke en ustøttet scenario i vNext, eller er det ikke implementert ennå?

Publisert på 17/06/2014 klokken 01:56
kilden bruker
På andre språk...                            


1 svar

stemmer
1

Jeg tror dette var bare en bug i ASP.NET vNext og har blitt fikset i nyere nattlig bygger, som er tilgjengelig på ASP.NET vNext MyGet feed.

Her er feilen: https://github.com/aspnet/KRuntime/issues/266

Svarte 17/06/2014 kl. 20:42
kilden bruker

Cookies help us deliver our services. By using our services, you agree to our use of cookies. Learn more